restinio::impl::connection_base_t Class Referenceabstract

HTTP connection base. More...

`#include <connection_base.hpp>`

Inheritance diagram for restinio::impl::connection_base_t:

## Public Member Functions

| connection_base_t (connection_id_t id)
virtual void | write_response_parts (request_id_t request_id, response_output_flags_t response_output_flags, write_group_t wg)=0
| Write parts for specified request. More...
Public Member Functions inherited from restinio::tcp_connection_ctx_base_t
| tcp_connection_ctx_base_t (connection_id_t id)
virtual | ~tcp_connection_ctx_base_t ()=default
connection_id_t | connection_id () const noexcept
| Get connection id. More...
virtual void | check_timeout (std::shared_ptr< tcp_connection_ctx_base_t > &self)=0
| Check timeouts for all activities. More...

## Additional Inherited Members

Protected Member Functions inherited from restinio::tcp_connection_ctx_base_t
template<typename Derived >
std::shared_ptr< Derived > | shared_from_concrete ()
| Cast self to derived class. More...

## Detailed Description

HTTP connection base.

Definition at line 27 of file connection_base.hpp.

## Constructor & Destructor Documentation

## connection_base_t()

restinio::impl::connection_base_t::connection_base_t | ( | connection_id_t | id | ) |

inline

Definition at line 31 of file connection_base.hpp.

## Member Function Documentation

## write_response_parts()

virtual void restinio::impl::connection_base_t::write_response_parts | ( | request_id_t | request_id,
|  | response_output_flags_t | response_output_flags,
|  | write_group_t | wg
| ) |  |

pure virtual

Write parts for specified request.

Parameters

  request_id | Request id.
  response_output_flags | Resp output flag.
  wg | Part of the response data.

Implemented in restinio::impl::connection_t< Traits >.

The documentation for this class was generated from the following file:

- restinio/impl/connection_base.hpp